#
# /etc/profile.d/ibm-javapos.sh
#

#
# This sets environment variables for the
# IBM JavaPOS implementation.
# Affected variables: CLASSPATH IBM_JAVAPOS_HOME PATH
#

IBM_JAVAPOS_HOME=/opt/ibm/javapos

if test -n "$CLASSPATH" ; then
  CLASSPATH="${IBM_JAVAPOS_HOME}/etc:${CLASSPATH}"
else
  CLASSPATH="${IBM_JAVAPOS_HOME}/etc"
fi

for n in ${IBM_JAVAPOS_HOME}/lib/*.jar ; do
  CLASSPATH="${CLASSPATH}:${n}"
done

#temp - classfiles are duplicated in jpos-common.jar and ibmjpos.jar!
CLASSPATH="${IBM_JAVAPOS_HOME}/lib/jpos-common.jar:$CLASSPATH"

#temp - the drivers are looking for flash/usb and flash/rs485 in the CLASSPATH!
CLASSPATH="${IBM_JAVAPOS_HOME}:$CLASSPATH"

PATH="${PATH}:${IBM_JAVAPOS_HOME}/bin"

export CLASSPATH IBM_JAVAPOS_HOME PATH

