/* @(#)53       1.1  sample/checkout/checkout.h, sample, ptuxrolo, 35 1/13/00 19:12:45 */

/*****************************************************************************/
/*                                                                           */
/*  Module Name:     checkout.h                                              */
/*                                                                           */
/*  Description:     This is a standard C header declaring the public        */
/*                   functions of checkout.c.                                */
/*                                                                           */
/*      73G0950 (C) Copyright IBM Corporation 1994                           */
/*                                                                           */
/*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is          */
/*      sample code created by IBM Corporation.  This sample code is not     */
/*      part of any standard or IBM product and is provided to you solely    */
/*      for the purpose of assisting you in the development of your          */
/*      applications.  The code is provided "AS IS", without warranty of     */
/*      any kind.  IBM shall not be liable for any damages arising out of    */
/*      your use of the sample code, even if they have been advised of the   */
/*      possibility of such damages.                                         */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/
#ifndef _CHECKOUT_H
#define _CHECKOUT_H

#define KBD_Buf_Size          21
#define MaxItems              75

typedef struct keyboard
  {
    char buffer[KBD_Buf_Size];
    int  index;
  } keyboard;

typedef struct transactionRecord
  {
    char logFileName[256];
    char item_list[MaxItems * 8 + 1];
    char signOnBuf[50];
    long log_tax_amount;
    long log_cash_amount;
    long log_credit_amount;
    int  transact_num;
    int  log_count;
  } transactionRecord;

int  ProcessKeyCode(unsigned char, transactionRecord*, keyboard*);
int  ProcessSku(char*, transactionRecord*, keyboard*);

#endif
