/* @(#)01       1.1  src/include/pos/drawer.h, apicode, ptuxrolo, 35 1/13/00 18:44:51 */

/********************************************************************/
/*  <drawer.h> header file                                          */
/*                                                                  */
/*  Licensed Materials - Property of IBM                            */
/*                                                                  */
/*  IBM Point of Sale Subsystem                                     */
/*  73G0950 (C) Copyright IBM Corporation 1992, 1995                */
/*  All rights reserved                                             */
/*                                                                  */
/*  US Government Users Restricted Rights -                         */
/*  Use, duplication, or disclosure restricted                      */
/*  by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                  */
/********************************************************************/

#ifndef _H_POS_DRAWER
#define _H_POS_DRAWER 1

/****************************/
/* PosDrawer resource names */
/****************************/

#define PosNpulseWidth                  "pulseWidth"
#define PosNtillStatus                  "tillStatus"


/******************************/
/* PosDrawer resource classes */
/******************************/

#define PosCPulseWidth                  "PulseWidth"
#define PosCTillStatus                  "TillStatus"


/**********************************/
/* PosNtillStatus resource values */
/**********************************/

#define PosDRAWER_ONLINE                0x0001
#define PosDRAWER_OPEN                  0x0004


#endif   /* _H_POS_DRAWER */
