/* @(#)10       1.1  src/include/pos/nvram.h, apicode, ptuxrolo, 35 1/13/00 18:45:30 */

/********************************************************************/
/*  <nvram.h> header file                                           */
/*                                                                  */
/*  Licensed Materials - Property of IBM                            */
/*                                                                  */
/*  IBM Point of Sale Subsystem                                     */
/*  73G0950 (C) Copyright IBM Corporation 1992, 1998                */
/*  All rights reserved                                             */
/*                                                                  */
/*  US Government Users Restricted Rights -                         */
/*  Use, duplication, or disclosure restricted                      */
/*  by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                  */
/********************************************************************/

#ifndef _H_POS_NVRAM
#define _H_POS_NVRAM 1

/***************************/
/* PosNvram resource names */
/***************************/

#define PosNnvramCursor                 "nvramCursor"
#define PosNnvramMode                   "nvramMode"
#define PosNnvramSize                   "nvramSize"
#define PosNuSBVitalProductData         "uSBVitalProductData"


/*****************************/
/* PosNvram resource classes */
/*****************************/

#define PosCNvramCursor                 "NvramCursor"
#define PosCNvramMode                   "NvramMode"
#define PosCNvramSize                   "NvramSize"
#define PosCUSBVitalProductData         "USBVitalProductData"


/******************/
/* PosMODE values */
/******************/

#ifndef PosMODE_DIRECT
#define PosMODE_DIRECT                  0x00
#endif
#define PosMODE_SEQUENTIAL              0x01


#endif   /* _H_POS_NVRAM */
